### Method

# Secret Item load_secret_sync

#### Declaration [src]

    gboolean
    secret_item_load_secret_sync (
      SecretItem* self,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Load the secret value of this item.

Each item has a single secret which might be a password or some other secret binary value.

This function may block indefinitely. Use the asynchronous version in user interface threads.

#### Parameters

`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| Whether the secret item successfully loaded or not.